using MessagePack;
#if GameClient
using GameFramework;
#endif

namespace GameMessage
{
    [Message(MessageCode.ClubEditorBasicInfoRequest)]
    [MessagePackObject]
    public class ClubEditorBasicInfoRequest : MessageData
    {
        [Key(0)]
        public int ClubId;

        [Key(1)]
        public string Notice;
        
        #if GameClient
        public static ClubEditorBasicInfoRequest Create(int clubId,string notice)
        {
            ClubEditorBasicInfoRequest request = ReferencePool.Acquire<ClubEditorBasicInfoRequest>();
            request.ClubId = clubId;
            request.Notice = notice;
            return request;
        }

        public override void Clear()
        {
            Notice = null;
        }
#endif
    }
    
    [Message(MessageCode.ClubEditorBasicInfoResponse)]
    [MessagePackObject]
    public class ClubEditorBasicInfoResponse : MessageData
    {
        [Key(0)]
        public int ResultCode;

        [Key(1)]
        public int ClubId;
        
        [Key(2)]
        public string Notice;
    }
}